Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class WeakVector

    java.lang.Object
      |
      +--oracle.jbo.common.WeakVector

public class WeakVector
extends java.lang.Object

Internal: Applications should not use this class.

Constructor Summary
`WeakVector()`
`WeakVector(int initialCapacity)`
`WeakVector(int initialCapacity, int capacityIncrement)`

Method Summary
`void` | `addElement(java.lang.Object obj)`
`int` | `capacity()`
`boolean` | `contains(java.lang.Object elem)`
`void` | `copyInto(java.lang.Object[] anArray)`
`java.lang.Object` | `elementAt(int index)`
`java.util.Enumeration` | `elements()`
`void` | `ensureCapacity(int minCapacity)`
`java.lang.Object` | `firstElement()`
`int` | `indexOf(java.lang.Object elem)`
`int` | `indexOf(java.lang.Object elem, int index)`
`void` | `insertElementAt(java.lang.Object obj, int index)`
`boolean` | `isEmpty()`
`java.lang.Object` | `lastElement()`
`int` | `lastIndexOf(java.lang.Object elem)`
`int` | `lastIndexOf(java.lang.Object elem, int index)`
`void` | `removeAllElements()`
`boolean` | `removeElement(java.lang.Object obj)`
`void` | `removeElementAt(int indx)`
`void` | `setElementAt(java.lang.Object obj, int index)`
`void` | `setSize(int newSize)`
`int` | `size()`
`java.lang.String` | `toString()`
`void` | `trimToSize()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WeakVector

    public WeakVector(int initialCapacity,
                      int capacityIncrement)

### WeakVector

    public WeakVector(int initialCapacity)

### WeakVector

    public WeakVector()

Method Detail

### copyInto

    public final void copyInto(java.lang.Object[] anArray)

### trimToSize

    public final void trimToSize()

### ensureCapacity

    public final void ensureCapacity(int minCapacity)

### setSize

    public final void setSize(int newSize)

### capacity

    public final int capacity()

### size

    public final int size()

### isEmpty

    public final boolean isEmpty()

### elements

    public final java.util.Enumeration elements()

### contains

    public final boolean contains(java.lang.Object elem)

### addElement

    public final void addElement(java.lang.Object obj)

### removeElementAt

    public final void removeElementAt(int indx)

### removeElement

    public final boolean removeElement(java.lang.Object obj)

### removeAllElements

    public final void removeAllElements()

### toString

    public final java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### elementAt

    public final java.lang.Object elementAt(int index)

### indexOf

    public int indexOf(java.lang.Object elem)

### indexOf

    public int indexOf(java.lang.Object elem,
                       int index)

### lastIndexOf

    public int lastIndexOf(java.lang.Object elem)

### lastIndexOf

    public int lastIndexOf(java.lang.Object elem,
                           int index)

### firstElement

    public java.lang.Object firstElement()

### lastElement

    public java.lang.Object lastElement()

### setElementAt

    public void setElementAt(java.lang.Object obj,
                             int index)

### insertElementAt

    public void insertElementAt(java.lang.Object obj,
                                int index)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD